Index: branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblem.cs
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblem.cs	(revision 9470)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblem.cs	(revision 9605)
@@ -44,6 +44,6 @@
 
     #region parameter properties
-    public IFixedValueParameter<BoolValue> MaximizationParameter {
-      get { return (IFixedValueParameter<BoolValue>)Parameters["Maximization"]; }
+    public FixedValueParameter<BoolValue> MaximizationParameter {
+      get { return (FixedValueParameter<BoolValue>)Parameters["Maximization"]; }
     }
     IParameter ISingleObjectiveHeuristicOptimizationProblem.MaximizationParameter {
@@ -85,5 +85,5 @@
     }
 
-    IStrataSingleObjectiveEvaluator IGAssistProblem.Evaluator {
+    IGAssistObjectiveEvaluator IGAssistProblem.Evaluator {
       get { return Evaluator; }
     }
@@ -108,5 +108,5 @@
       : this(new DecisionListClassificationProblemData(new Dataset(DecisionListClassificationProblemData.defaultVariableNames, DecisionListClassificationProblemData.defaultData),
         DecisionListClassificationProblemData.defaultVariableNames.Take(DecisionListClassificationProblemData.defaultVariableNames.Length - 1), DecisionListClassificationProblemData.defaultVariableNames.Last()),
-        new MDLEvaluator(), new UniformRandomDecisionListCreator()) { }
+        new MDLEvaluator(), new SmartDecisionListCreator()) { }
 
     public DecisionListClassificationProblem(IDecisionListClassificationProblemData problemData, IDecisionListEvaluator decisionlistEvaluator, IDecisionListCreator decisionListCreator)
@@ -118,7 +118,13 @@
       Parameters.Add(new FixedValueParameter<PercentValue>("ActionMutationProbability", "", new PercentValue(0.1)));
 
+      MaximizationParameter.Value.Value = Evaluator.MaximizationParameter.Value.Value;
+      Evaluator.MaximizationParameter.Value.ValueChanged += MaximizationParameter_ValueChanged;
       Evaluator.SizePenaltyMinRulesParameter.ActualName = "SizePenaltyMinRules";
 
       InitializeOperators();
+    }
+
+    private void MaximizationParameter_ValueChanged(object sender, System.EventArgs e) {
+      MaximizationParameter.Value.Value = Evaluator.MaximizationParameter.Value.Value;
     }
 
@@ -143,5 +149,5 @@
 
     private void ParameterizeOperators() {
-      var autoDefaultRule = Operators.Where(x => x is AutoDefaultRule).Select(x => x as AutoDefaultRule).First();
+      var autoDefaultRule = Operators.OfType<AutoDefaultRule>().First();
       autoDefaultRule.QualityParameter.ActualName = Evaluator.QualityParameter.ActualName;
       autoDefaultRule.GAssistNichesProblemDataParameter.ActualName = ProblemDataParameter.Name;
@@ -149,5 +155,4 @@
       foreach (IDefaultRuleOperator op in Operators.OfType<IDefaultRuleOperator>()) {
         op.IndividualParameter.ActualName = SolutionCreator.DecisionListParameter.ActualName;
-        op.EvaluatorParameter.ActualName = EvaluatorParameter.Name;
         op.GAssistNichesProblemDataParameter.ActualName = ProblemDataParameter.Name;
         op.GAssistNichesProblemDataParameter.Hidden = true;
Index: branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs	(revision 9470)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs	(revision 9605)
@@ -44,4 +44,8 @@
       {0,1,1,1,0,0,0},
       {0,0,1,0,0,0,1},
+      {1,0,1,0,1,1,0},
+      {0,0,1,1,0,0,0},
+      {0,1,1,1,0,0,0},
+      {0,0,1,0,0,0,1},
       {1,0,1,0,1,1,0}
     };
Index: branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/HeuristicLab.Problems.DecisionListClassification-3.3.csproj
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/HeuristicLab.Problems.DecisionListClassification-3.3.csproj	(revision 9470)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/HeuristicLab.Problems.DecisionListClassification-3.3.csproj	(revision 9605)
@@ -95,8 +95,4 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Algorithms.GAssist\3.3\HeuristicLab.Algorithms.GAssist-3.3.csproj">
-      <Project>{f191a6fa-1b3c-4f82-a711-873b4d839bc0}</Project>
-      <Name>HeuristicLab.Algorithms.GAssist-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
       <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
Index: branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/Plugin.cs.frame
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/Plugin.cs.frame	(revision 9470)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/Plugin.cs.frame	(revision 9605)
@@ -25,5 +25,15 @@
   [Plugin("HeuristicLab.Problems.DecisionListClassification", "3.3.7.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.DecisionListClassification-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Collections", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
   [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Data", "3.3")]
+  [PluginDependency("HeuristicLab.Encodings.DecisionList", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization.Operators.LCS", "3.3")]
+  [PluginDependency("HeuristicLab.Parameters", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.DataAnalysis", "3.4")]
+  [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
   public class HeuristicLabProblemsDecisionListClassificationPlugin : PluginBase {
   }
